import request from '@/utils/request'

// 查询微信菜单管理列表
export function listMenu(query) {
  return request({
    url: '/wxManage/menu/list',
    method: 'get',
    params: query
  })
}

// 查询微信菜单管理详细
export function getMenu(wxMenuId) {
  return request({
    url: '/wxManage/menu/' + wxMenuId,
    method: 'get'
  })
}

// 新增微信菜单管理
export function addMenu(data) {
  return request({
    url: '/wxManage/menu',
    method: 'post',
    data: data
  })
}

// 修改微信菜单管理
export function updateMenu(data) {
  return request({
    url: '/wxManage/menu',
    method: 'put',
    data: data
  })
}

// 删除微信菜单管理
export function delMenu(wxMenuId) {
  return request({
    url: '/wxManage/menu/' + wxMenuId,
    method: 'delete'
  })
}
export function getMenuTypeList() {
  return request({
    url: '/wxManage/menu/getMenuTypeList',
    method: 'get'
  })
}

export function createMenu() {
  return request({
    url: '/wxManage/menu/createMenu',
    method: 'get'
  })
}
